You are really doing a revolutionary thing 🔥, Belive me you will definately going to have a huge audience just keep doing striver! Complete the DSA series from A to Z 🔥 before 2024 ends.
All the video lectures and the articles helped me a lot to gain confidence in DSA and will be helping me in the interviews. Thank you Striver bhaiya for bringing such amazing content for free.
initially, i learn first the therory part like methods that are used in this, and i usually watch Striver's playlist of that topic , and learn the patterns of the questions then i go to leetcode and gfg and solve same patterns problems. With the approaches i learned from Striver. That's all. Hope you got this.@@vaibhavvm4147
nice explanation brother, 1 thing I'd like to advice is please use the same variable names while coding which you use while explaining, it would be helpful. Good work and your videos are great!!✌🏻😇 thanks
why this code is not working,, its all same just using one extra variable; Node* reverseDLL(Node* head) { if(head==nullptr || head->next==nullptr)return head;
We can use two pointers one starts from head and other from from tail and just swap the data till it reaches to the middle by taking the count.will it be a good solution can anyone pls respond to it.
why this is correct and last=curr->prev; curr->prev=curr->next; curr->next=last; this is not working? last=curr->next; curr->next=curr->prev; curr->prev=last;
17:21 "And the interviewer will hire you,no worry" best part🤑🤑🥰🥰
😂
😅
😂😂
This simple problem is insanely hard to me...thank you Striver!!
this type of great content cannot be found elsewhere , Excellent!!!
Is kunal kushwaha better or this one?
@@AlwaysOntopoftheworldI think Striver, Kunal is more into Controversies
You are really doing a revolutionary thing 🔥, Belive me you will definately going to have a huge audience just keep doing striver! Complete the DSA series from A to Z 🔥 before 2024 ends.
Loved your dedication sir, completed this ques and loving this series like all others. Top-tier content🔥🔥
you are the boss .. please make a playlist about competitive programming.
Great thought of using the stacks!!!!
All the video lectures and the articles helped me a lot to gain confidence in DSA and will be helping me in the interviews. Thank you Striver bhaiya for bringing such amazing content for free.
Bro how do u approach DSA, do u first watch videos and then solve it on ur own or how?
initially, i learn first the therory part like methods that are used in this, and i usually watch Striver's playlist of that topic , and learn the patterns of the questions then i go to leetcode and gfg and solve same patterns problems. With the approaches i learned from Striver. That's all. Hope you got this.@@vaibhavvm4147
@@vaibhavvm4147 video dekh le bhai, dimag khol......., phir related ques khud try kar
It really helps me to understand in a very easy manner.
Thanks a lot bhaiya.
Dude your lectures are amazing
Thank you for this amazing playlist bhaiya ❤❤
The takeuforward website is not loading .. I'm trying to access the A2Z sheet for the last three days but it is not working.
instead of using next ad back which is a bit ambiguous you could've used next and previous ( prev ) which will be more understandable
🤓
17:20 , dream come true!!!
Thank you sir this amazing lecture 🥰
Understood 😊
lecture 4 done,love u bhaiya
nice explanation brother, 1 thing I'd like to advice is please use the same variable names while coding which you use while explaining, it would be helpful. Good work and your videos are great!!✌🏻😇 thanks
👍😊
i taught of doing same approach. of changing and head and swap its pointers
thank you striver👍👍
i guess there is an even more optimised solution now since the link is showing time limit exceeded in this approach . i did everything the same
Understood✅🔥🔥
Thanks Striver!!!
thank you
Understood!!!
Thank You.......
thanks bhaiya for your efforts
great work and thank you !
Understood, thank you.
Understood ;)
thank u sir
Thank You Bhaiya.
If we point the head to last node, the behaviour would be same as revered doubly Linked list right??? Why do we need to do these processing???
In that case we can't traverse in the forward direction instead we have to go backward to traverse!!
understood ❤
Nice videos thankyou
understood!!!
Lecture successfully completed on 26/11/2024 🔥🔥
Completed!
Undertood 😌
🔥🔥🔥
Thanks
Understood !!
Understood!
nice video
if(head==NULL||head->next==NULL)
return head;
Node* temp = NULL;
Node* curr = head;
while (curr != NULL)
{
curr->prev = curr->next;
curr->next = temp;
temp=curr;
curr = curr->prev;
}
return temp;
yup thats what i did , made it much simple to understand you have to return temp->prev
UNDERSTOOD;
understood!
the best!!!!
👌👌👌👌👌👌👌👌👌👌👌👌
Understood
understood
understooooooooooooood
i just swapped the data values, using two pointers as head and tail.
Great
why not swapping data values, that too would work
can we exchange head with with tail and tail with head
striver is best
nice
done
why this code is not working,, its all same just using one extra variable;
Node* reverseDLL(Node* head)
{
if(head==nullptr || head->next==nullptr)return head;
Node * current=head;
Node *back=nullptr;
Node *front=nullptr;
Node *temp=nullptr;
while(current){
back=current->prev;
front=current->next;
temp=back;
back=front;
front=temp;
current=current->prev;
}
return back->prev;
}
Bhaiya 0(1) ma bhi solution hai kya iska ??
traverse toh krna hee h, so no O(1)
We can use two pointers one starts from head and other from from tail and just swap the data till it reaches to the middle by taking the count.will it be a good solution can anyone pls respond to it.
yeah same doubt , it'lll be better as it'll take n/2 but the only issue iswhen to stop there
why this is correct and
last=curr->prev;
curr->prev=curr->next;
curr->next=last;
this is not working?
last=curr->next;
curr->next=curr->prev;
curr->prev=last;
god
understood 29 sep 2024
class Solution
{
public:
Node* reverseDLL(Node * head)
{
if(head == NULL || head->next == NULL)
{
return head;
}
Node* pichli = head;
while(head->next != NULL)
{
pichli = head;
head = head -> next;
}
Node*mover = head;
mover->next = pichli;
mover->prev = NULL;
Node*back = mover;
mover = mover->next;
pichli = pichli->prev;
while(pichli != NULL)
{
mover->prev = back;
mover->next = pichli;
back = mover;
mover = mover->next;
pichli = pichli->prev;
}
mover->next = NULL;
mover->prev = back;
return head;
}
}; this is i ve done but ur one is more intutive and easy also
28-06-2024
My approach looks something like this:
Publlic class Solution{
public static Node reverseDLL(Node head) {
Node p=null,curr=null,f=head;
while(f!=null){
p = curr;
curr = f;
f=f.next;
curr.next = p;
if(p!=null) p.prev = curr;
}
head = curr;
return head;
}
}
Understood 🫡
Understood
understood
Understood
understood
understood
Understood
Understood
Understood